%define upstream_name    Text-Balanced
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract balanced-delimiter substrings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The various 'extract_...' subroutines may be used to extract a delimited
substring, possibly after skipping a specified prefix string. By default,
that prefix is optional whitespace ('/\s*/'), but you can change it to
whatever you wish (see below).

The substring to be extracted must appear at the current 'pos' location of
the string's variable (or at index zero, if no 'pos' position is defined).
In other words, the 'extract_...' subroutines _don't_ extract the first
occurrence of a substring anywhere in a string (like an unanchored regex
would). Rather, they extract an occurrence of the substring appearing
immediately at the current matching position in the string (like a
'\G'-anchored regex would).

General behaviour in list contexts
    In a list context, all the subroutines return a list, the first three
    elements of which are always:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Dec 12 2020 tv <tv> 2.40.0-1.mga8
+ Revision: 1655784
- update to 2.04

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-5.mga8
+ Revision: 1497609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.30.0-4.mga7
+ Revision: 1272027
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-3.mga6
+ Revision: 1034898
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.30.0-2.mga6
+ Revision: 967286
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.30.0-1.mga6
+ Revision: 848665
- update to 2.03

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 750916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 686597
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 515421
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 373996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.20.0-1.mga1
+ Revision: 28851
- mageia rebuild
- imported package perl-Text-Balanced

